package com.gic.haoban.manage.service.service;

import java.util.List;

import com.gic.haoban.manage.api.dto.MaterialCategoryDTO;

public interface MaterialCategoryService {

	MaterialCategoryDTO hasCategoryNameExsit(String categoryName, String categoryParentId);

	void insert(MaterialCategoryDTO materialCategoryDTO);

	List<MaterialCategoryDTO> listCategory(String wxEnterpriseId);

	MaterialCategoryDTO selectMaterialCategoryById(String categoryId);

	void editCategory(MaterialCategoryDTO materialCategoryDTO);

	List<MaterialCategoryDTO> listByParentCategory(String categoryId);

}
